function [ friction_command ] = Friction_Lookup( friction_coef )
%%Look up table for Friction Coefficient to send a command to the
%%microcontroller

switch friction_coef
    case 0.01
        friction_command=1;
    case 0.015
        friction_command=2;
    case 0.02
        friction_command=3;
    case 0.012
        friction_command=4;
    case 0.017
        friction_command=5;
    case 0.022
        friction_command=6;
    case 0.037
        friction_command=9;
    case 0.025
        friction_command=10;
    case 0.009
        friction_command=15;
    case 0.15
        friction_command=16;
    case 0.055
        friction_command=17;
    case 0.075
        friction_command=18;
    case 0.06
        friction_command=19;
    case 0.3
        friction_command=21;
    otherwise
        friction_command=0;
end

end

