function y = my_average_R(u,reset) %# codegen
%This function averages the right velocity output of the experimental
%platform

persistent i buf bufSum filt_delay u_delay

if (isempty(filt_delay) || reset == 1)
   filt_delay = 0;
   buf = [];
   bufSum = 0;
end

if (isempty(u_delay) || reset == 1)
   u_delay = 0;
   buf = [];
   bufSum = 0;
end

filt = 0.8825*(u+u_delay) - 0.7647*filt_delay;
filt_delay = filt;
u_delay = u;

if isempty(buf)
    buf = zeros(4,1);
    bufSum = 0;
    i = 1;
end
bufSum = bufSum - buf(i);
buf(i) = filt;
bufSum = bufSum + filt;
i = i + 1;
if i > numel(buf)
    i = 1;
end
y = bufSum / numel(buf);